local assets = 
{
    Asset("ANIM", "anim/rivendizzy.zip"),
}

local function kill_fx(inst)
    inst:Remove()
end

local function fn(Sim)
    local inst = CreateEntity()
    local trans = inst.entity:AddTransform()
    local anim = inst.entity:AddAnimState()
    anim:SetBank("rivendizzy")
    anim:SetBuild("rivendizzy")
    anim:PlayAnimation("idle")
    inst.kill_fx = kill_fx
    inst:DoTaskInTime(1, function() inst:Remove() end) 
    return inst
end

return Prefab("rivendizzy", fn, assets)